#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        LDAP access API for KDE
Name:           kldap
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KDE4Support)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Mbox)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  openldap-devel

BuildRequires:  pkgconfig(libsasl2)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

Recommends:     %{name}-handbook

%description
LDAP access API for KDE.

%files
%_kf5_sysconfdir/xdg/kldap.categories
%_kf5_sysconfdir/xdg/kldap.renamecategories

#--------------------------------------------------------------------

%package -n kio5-ldap
Summary:        KDE ldap module
Group:          System/Libraries
Requires:       %{name} = %version
Requires:       akonadi-contacts

%description -n kio5-ldap
KDE ldap module.

%files -n kio5-ldap
%_kf5_plugindir/kio/ldap.so
%_kf5_services/ldap*.protocol

#------------------------------------------------------------------------------

%define kf5ldap_major 5
%define libkf5ldap %mklibname kf5ldap %{kf5ldap_major}

%package -n %libkf5ldap
Summary:      LDAP access API for KDE
Group:        System/Libraries
# mga6: .so.5 library was mistakenly packed in the '4' package, hence the conflict
Obsoletes:    %{_lib}kf5ldap_4 < 15.12.3-2
# mga6: libname contained an unnecessary underscore
Obsoletes:    %{_lib}kf5ldap_5 < 16.04.0-2
Provides:     %{_lib}kf5ldap_5 = %{version}-%{release}

%description -n %libkf5ldap
LDAP access API for KDE.

%files -n %libkf5ldap
%_kf5_libdir/libKF5Ldap.so.%{kf5ldap_major}{,.*}

#--------------------------------------------------------------------

%define kf5ldap_devel %mklibname kf5ldap -d

%package -n %kf5ldap_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5ldap = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5ldap_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5ldap_devel
%_kf5_includedir/KLDAP
%_kf5_includedir/kldap_version.h
%_kf5_libdir/libKF5Ldap.so
%_kf5_libdir/cmake/KF5Ldap
%_qt5_prefix/mkspecs/modules/qt_Ldap.pri

#--------------------------------------------------------------------

%package        handbook
Summary:        Kldap Handbook
Group:          Documentation
BuildArch:      noarch

# can be removed for mga7
Obsoletes:      kdepimlibs-handbooks < 16.08.0
Provides:       kdepimlibs-handbooks = %version-%release

%description    handbook
This package provides Kldap handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/ldap/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090079
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076819
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073723
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067342
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061401
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050667
- New version 16.08.1

* Thu Sep 08 2016 neoclust <neoclust> 16.08.0-4.mga6
+ Revision: 1050484
- Fix update from older kde apps

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049143
- kio5-ldap requires akonadi-contacts

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047967
- add subpackage kio5-ldap no more provided by kdepimlibs
- conflicts kdepimlibs-handbooks from kldap-handbook subpackage

* Mon Aug 22 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047786
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040068
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012554
- New version 16.04.1

* Sat Apr 23 2016 akien <akien> 16.04.0-2.mga6
+ Revision: 1005582
- Rename lib to remove unnecessary underscore
- Add obsoletes against %%{_lib}kf5ldap_4 which contained libKF5Ldap.so.5

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004344
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995835
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991191
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987460
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922629
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911945
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905403
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901139
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890620
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880432
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865950
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863927
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861763
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858439
- imported package kldap

